<script>
  // Dimensions
  const width = 800;
  const height = 100;
  const margin = { top: 10, right: 20, bottom: 20, left: 20 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;

  // Arrays
	const points = [
    innerWidth / 2 - 60,
    innerWidth / 2 - 30,
    innerWidth / 2,
    innerWidth / 2 + 30,
    innerWidth / 2 + 60
  ];

  // All lights with a higher index are on!
  let index = points.length;
	
	let interval = setInterval(function(){
    index -= 1;
    if(index === -1){
      clearInterval(interval);
    }
  }, 1000);
	
  // Color
  let color = "darkred";
</script>

<style>
	.unselected {
		opacity: 0.3
	}
	.selected {
		opacity: 1;
	}
	.go {
		fill: darkgreen;
	}
</style>

<svg viewBox="0 0 {width} {height}">
  <g transform="translate({margin.left},{margin.top})">
    <!--  -->
		{#each points as point, i}
		  <circle cx={point} 
							cy={innerHeight/2} 
							r={10}
							fill={color}
							
							class:unselected="{(index - i-1) >= 0}"
							class:selected="{(index - i-1) < 0}"
							class:go="{index < 0}"
			/>
		{/each}
  </g>
</svg>


